import { createRouter, createWebHashHistory } from 'vue-router'
import NProgress from 'nprogress'
import { staticRouter, errorRouter } from './modules/staticRouter'
import { GlobalStore } from '@/stores/index'

const router = createRouter({
  history: createWebHashHistory(),
  routes: [...staticRouter, ...errorRouter],
  strict: false
})

const ROUTER_WHITE_LIST = ['/login', '/404']

router.beforeEach((to, from, next) => {
  NProgress.start() // 开始加载
  const store = GlobalStore()
  let title = to.meta.title
  title && (document.title = title as string)
  // console.log(to, from)

  // console.log(store.GET_User_tokey)

  if (store.GET_User_tokey && to.path !== '/login') {
    next()
  } else if (ROUTER_WHITE_LIST.includes(to.path)) {
    if (store.GET_User_tokey) {
      next('/')
    } else {
      next()
    }
  } else {
    next('/login')
  }
})

router.afterEach(() => {
  NProgress.done() // 加载完成
})

export default router
