import { RouteRecordRaw } from 'vue-router'
export const staticRouter: RouteRecordRaw[] = [
  {
    path: '/',
    redirect: '/index'
  },
  {
    path: '/index',
    name: 'Index',
    component: () => import('@/views/Index.vue'),
    meta: {
      title: '首页'
    },
    children: [
      {
        path: '/home',
        name: 'Home',
        component: () => import('@/views/home/index.vue'),
        meta: {
          title: '首页'
        }
      },
      {
        path: '/roles',
        name: 'Roles',
        component: () => import('@/views/account/roles/Roles.vue'),
        meta: {
          title: '角色管理'
        }
      },
      {
        path: '/users',
        name: 'Users',
        component: () => import('@/views/account/users/Users.vue'),
        meta: {
          title: '账户管理'
        }
      },
      {
        path: '/salary',
        name: 'Salary',
        component: () => import('@/views/salary/salary/Salary.vue'),
        meta: {
          title: '薪资管理'
        }
      },
      {
        path: '/salaryCount',
        name: 'SalaryCount',
        component: () => import('@/views/salary/SalaryCount.vue'),
        meta: {
          title: '薪资统计'
        }
      },
      {
        path: '/salaryMy',
        name: 'SalaryMy',
        component: () => import('@/views/salary/SalaryMy.vue'),
        meta: {
          title: '我的薪资'
        }
      },
      {
        path: '/records',
        name: 'Records',
        component: () => import('@/views/workAttendance/records/Records.vue'),
        meta: {
          title: '统筹管理'
        }
      },
      {
        path: '/recordsFinance',
        name: 'RecordsFinance',
        component: () => import('@/views/workAttendance/RecordsFinance.vue'),
        meta: {
          title: '统筹管理(财务)'
        }
      },
      {
        path: '/overtime',
        name: 'Overtime',
        component: () => import('@/views/workAttendance/Overtime.vue'),
        meta: {
          title: '加班审批'
        }
      },
      {
        path: '/leave',
        name: 'Leave',
        // component: () => import('@/views/workAttendance/Leave.vue'),
        component: () => import('../../views/workAttendance/Leave.vue'),
        meta: {
          title: '请假审批'
        }
      },
      {
        path: '/myOvertime',
        name: ' MyOvertime',
        // component: () => import('@/views/workAttendance/MyOvertime.vue'),
        component: () => import('../../views/workAttendance/MyOvertime.vue'),
        meta: {
          title: '我的加班'
        }
      },
      {
        path: '/myLeave',
        name: 'MyLeave',
        component: () => import('@/views/workAttendance/MyLeave.vue'),
        meta: {
          title: '我的请假'
        }
      }
    ]
  },
  {
    path: '/login',
    name: 'login',
    component: () => import('@/views/Login.vue'),
    meta: {
      title: '登录'
    }
  }
]

export const errorRouter = [
  {
    path: '/404',
    name: '404',
    component: () => import('@/components/ErrorMessage/404.vue'),
    meta: {
      title: '404页面'
    }
  },
  {
    path: '/:pathMatch(.*)*',
    name: 'notFound',
    redirect: { name: '404' }
  }
]
